#ifndef CONSENSUSSEQUENCE_HH
#define CONSENSUSSEQUENCE_HH 1

#include <iostream>
#include <vector>
#include <string>
#include <list>
#include "SequenceData.hh"
#include <SliceData.hh>

typedef list<SequenceData *> SequenceList;
typedef map<string, SequenceData *> SequenceMap;

using libSlice::SliceData;
using libSlice::ReadData;

class ConsensusSequence
{
public:
  ConsensusSequence(int contigCount, 
                    long index,
                    ostream & out, 
                    bool m_circular);

  ~ConsensusSequence();

  void addSlice(SliceData * slice);

  void printContig(const string & asmblId);

private:
  void addElement(char base, long index, char * qualclass);

  SequenceData * getSequence(const ReadData * rd, 
                             long offset, 
                             long index,
                             bool isOriginSequence); 

  ostream & m_out;

  string m_nuc;
  string m_nucsequence;
  string m_qualclass;

  int m_contigCount;
  long m_curOffset;
  long m_curIndex;

  long m_asmleft;
  long m_asmright;

  SequenceMap  m_sequenceMap;
  SequenceList m_sequenceList;

  bool m_circular;
};

#endif
