#ifndef SEQUENCEDATA_HH
#define SEQUENCEDATA_HH 1

#include <list>
#include "ReadData.hh"

using libSlice::ReadData;

typedef list<long> GapList;

class SequenceData
{
public:
  SequenceData(const ReadData * rd, long offset, long index);
  ~SequenceData();

  const string & getId() const;

  void addElement(long index, char nuc, char qualval);
  void printSequenceXML(ostream & out, const string & prefix);

  void printSeqRecordXML(ostream & out, const string & prefix,
                         int coordinateOffset);

private:
  void printNucXML(ostream & out, const string & prefix)     const;
  void printQualValXML(ostream & out, const string & prefix) const;

  string m_nuc;
  string m_qualVal;

  int m_gapCount;
  GapList m_gapList;

  const ReadData * m_readData;
  long m_offset;

  long m_asmleft;
  long m_asmright;

  bool m_reverseCompliment;
};

#endif
