// $Id: zminutes04022003.h,v 1.1.1.1 2005/08/04 14:51:01 mcschatz Exp $

/*! 
 * @page zminutes04022003 Minutes libSlice Meeting (04/02/03)
 *
 * April 2, 2003 at 3:30 in Conference Room B
 * <br><br>
 * Miguel Covarrubias, Art Delcher, Pawel Gajer, Michael Holmes, Mihai Pop,
 * Steven Salzberg, Michael Schatz, and Martin Shumway attended.
 *
 * @section libSliceIssues libSlice Issues
 *
 * <ol>
 * <li> As an ad-hoc rule, clients of %libSlice will set the quality value of a
 * gap in a read to be the minimum quality value of the two flanking elements
 * in the read. This value will be written directly into the slice before it
 * is provided to %libSlice, because %libSlice operates on a single slice at a
 * time and may not have the flanking information available. If the client 
 * leaves the quality value at 0, %libSlice will continue the current practice 
 * and assign a quality value of 20 to the gap. %libSlice will use the gap 
 * quality values in consensus calling, ambiguity code calculations, and 
 * consensus quality value calculations.
 *
 * <li> In the absense of a rigourous model for diploid alignments, %libSlice 
 * will continue to utilize the model in which only one outcome is possible as 
 * the consensus of a slice. Under this model, the consensus quality value of 
 * an ambiguous slice will be a measure of the confidence that the most likely 
 * base is the true consensus of the slice. A model for diploid alignments 
 * will be investigated and implemented as needed.
 *
 *
 * <li> Cloe will mark edited bases with a quality value of 40 instead of 99. 
 * This will remove the overwhelming bias towards edited bases when calling 
 * the consensus by %libSlice. Cloe should allow for this value to be set as a 
 * global policy.
 *
 *
 * <li> %libSlice will continue to support dual modes of operation in which 
 * both ambiguity codes and non-ambiguous bases can be called as the consensus 
 * of a slice, as based on the parameters set by the client. SliceService 
 * will allow for this parameter to be set by an option element in the Slice 
 * XML DTD.
 *
 *
 * <li> %libSlice will continue to output IUPAC ambiguity codes when requested 
 * and not the extended ambiguity codes defined by Churchill and Waterman. 
 * %libSlice will continue to support tests for each of the 5 possibilities 
 * in the ambiguity code for a slice, so that a client can determine if '-' 
 * should have be included in the ambiguity code.
 *
 * </ol>
 *
 *
 * @section globalissues Global Issues
 *
 * <ol>
 * <li> ca2ta will recall the consensus prior to uploading so that the view of
 * the data in the database will be consistent with the needs of Cloe. 
 * An option will be provided to specify if ambiguity codes or non-ambiguous 
 * bases should be called as the consensus.
 *
 * <li> TIGR Editor and TIGR Assembler will be retired on June 1. Quality 
 * classes will be removed from the database and get_quality_class.spl will be 
 * replaced.
 * </ol>
 *
 * @htmlonly<hr><p align=right>$Date: 2005/08/04 14:51:01 $</p>@endhtmlonly
 */

